Bug 1315744 - upgrade from 3.5.1 fails
upgrade from 3.5.1 fails
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Packaging.rpm (Show other bugs)
3.6.1
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-3.6.5
: 3.6.5
Assigned To: Lev Veyde
Karolína Hajná
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 09:03 EST by Yedidyah Bar David
Modified: 2017-05-11 05:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: a missing function in db schema on 3.5.1 Consequence: upgrade fails Fix: it is now required >= 3.5.6 Result: user must first upgrade to latest 3.5 before upgrading to 3.6.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-21 10:38:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 54714 ovirt-engine-3.6 MERGED packaging: Conflict on version below 3.5.6 2016-03-28 02:38 EDT

  None (edit)
Description Yedidyah Bar David 2016-03-08 09:03:13 EST
Description of problem:

See bug 1313276 comment 16.

The function fn_db_is_table_exists was added in 3.5.2.

We should conflict with < 3.5.2.

Didn't verify upgrade from later versions. 3.5.6 works.
Comment 1 Yedidyah Bar David 2016-03-08 09:41:12 EST
AFAICT downstream RHEVM 3.5.0 is also affected. Didn't check later versions.
Comment 2 Sandro Bonazzola 2016-03-14 04:44:03 EDT
Lev, please push a change for 3.6.5 conflicting with <= 3.5.5 (3.5.6 is latest oVirt)
Comment 3 Karolína Hajná 2016-03-31 05:09:02 EDT
Verified in rhevm-3.5.1-0.4.el6ev.noarch (build 3.6.5-1)

Note You need to log in before you can comment on or make changes to this bug.